Skip to content

Amazon 产品竞争对手

POST /v3/dataforseo_labs/amazon/product_competitors/live

POST /v3/dataforseo_labs/amazon/product_competitors/live

本接口根据目标产品的 asin,返回在 Amazon 搜索结果中与的产品列表,用于识别产品竞争对手。结果受请求中的商品、地区和语言参数影响。

数据每周更新一次,最新更新时间可通过 /v3/dataforseo_labs/status/ 查询。

请求说明

  • 请求方法:POST
  • 请求地址:https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_competitors/live
  • 请求格式:application/json
  • 请求体:JSON 数组
  • 单次请求最多 1 个任务 平台限流以认证说明中的 30/60/120 次/分钟规则为准- 同时执行的请求数最多为 30 个

认证

在请求头中使用 Bearer Token:

http
Authorization: Bearer smt_live_YOUR_KEY
Content-Type: application/json

计费

每次请求按返回结果计费。扣费以响应头 X-SeerMarTech-Charge-CNY 为准。

请求参数

请求体是 JSON 数组,例如:

json
[
  {
    "asin": "019005476X",
    "language_name": "English",
    "location_code": 2840
  }
]
参数类型说明
asinstringAmazon 商品唯一标识符(ASIN)。也可通过 /v3/merchant/amazon/products/task_post/ 获取。
location_namestring条件填地区完整名称。未指定 location_code 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取可用地区。当前支持美国、埃及、沙特阿拉伯和阿拉伯联合长国。示例:United States
location_codeinteger条件填地区代码。未指定 location_name 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取。示例:2840
language_namestring条件填语言完整名称。未指定 language_code 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取。示例:English
language_codestring条件填语言代码。未指定 language_name 时填。可通过 /v3/dataforseo_labs/locations_and_languages 获取。示例:en
limitinteger返回结果中最多的产品数量。默认值为 100,最大值为 1000
filtersarray结果过滤条件。最多设置 8 个过滤条件,多个条件之间指定逻辑运算符 andor
order_byarray结果排序规则。最多设置 3 条排序规则。支持 asc(升序)和 desc(降序)。
offsetinteger结果偏移量,默认值为 0。例如设置为 10 时,将跳过前 10 条结果并返回后续数据。
tagstring用户自定义任务标识,最多 255 个字符。该值会原样返回在响应的 data 对象中,可用于请求与结果。

filters 支持的运算符

支持以下运算符:

text
regex
not_regex
<
<=
>
>=
=
<>
in
not_in
ilike
not_ilike
like
not_like
match
not_match

likenot_likeilikenot_ilike 支持使用 % 匹任意长度的字符串。

过滤条件示例:

json
[
  {
    "asin": "019005476X",
    "location_code": 2840,
    "language_code": "en",
    "filters": [
      ["intersections", ">", 10],
      "and",
      ["avg_position", "<=", 20]
    ]
  }
]

order_by 示例

排序字段可使用与 filters 相同的字段名称:

json
[
  {
    "asin": "019005476X",
    "location_code": 2840,
    "language_code": "en",
    "order_by": [
      "intersections,desc",
      "avg_position,asc"
    ]
  }
]

响应结构

接口返回 JSON 数据,顶层 tasks 数组。

顶层字段

字段类型说明
versionstring当前 API 版本。
status_codeinteger请求总体状态码。
status_messagestring请求总体状态信息。
timestring请求执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
tasks_countintegertasks 数组中的任务总数。
tasks_errorintegertasks 数组中执行失败的任务数。
tasksarray任务结果数组。

tasks 字段

字段类型说明
idstring任务唯一标识符,UUID 格式。
status_codeinteger当前任务状态码。
status_messagestring当前任务状态信息。
timestring当前任务执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
result_countintegerresult 数组中的数量。
patharray请求 URL 路径。
dataobject创建任务时提交的参数。
resultarray竞争对手分析结果。

result 字段

字段类型说明
se_typestring搜索引擎类型,通常为 amazon
asinstring请求中提交的目标商品 ASIN。
location_codeinteger请求中的地区代码。无数据时为 null
language_codestring请求中的语言代码。无数据时为 null
total_countinteger数据库中符合请求条件的结果总数。
items_countintegeritems 数组中返回的结果数量。
itemsarray检测到的 Amazon 产品竞争对手及指标。

items 字段

字段类型说明
se_typestring搜索引擎类型。
asinstring竞争对手商品的 ASIN。
avg_positionfloat商品在 Amazon 搜索结果中的平均排名。根据与目标商品重叠的计算;同一商品与不同目标商品组合时,该值可能不同。
sum_positioninteger商品在 Amazon 搜索结果中的排名总和。该指标同样针对重叠计算。
intersectionsinteger与目标商品重叠的数量。
competitor_metricsobject针对重叠的竞争对手排名指标。
full_metricsobject针对该竞争对手排名的完整排名指标。

competitor_metrics.amazon_serp

表示竞争对手在 Amazon 自然搜索结果中的排名数据。

字段类型说明
pos_1integer商品排名第 1 的自然搜索结果数量。
pos_2_3integer商品排名第 2–3 位的自然搜索结果数量。
pos_4_10integer商品排名第 4–10 位的自然搜索结果数量。
pos_11_100integer商品排名第 11–100 位的自然搜索结果数量。
countinteger含该商品的 Amazon 自然搜索结果总数。
search_volumeinteger该商品在自然搜索结果中排名的总搜索量。

competitor_metrics.amazon_paid

表示竞争对手在 Amazon 付费搜索结果中的排名数据。

字段类型说明
pos_1integer商品排名第 1 的付费搜索结果数量。
pos_2_3integer商品排名第 2–3 位的付费搜索结果数量。
pos_4_10integer商品排名第 4–10 位的付费搜索结果数量。
pos_11_100integer商品排名第 11–100 位的付费搜索结果数量。
countinteger含该商品的 Amazon 付费搜索结果总数。
search_volumeinteger该商品在付费搜索结果中排名的总搜索量。

full_metrics.amazon_serp

表示竞争对手排名对应的 Amazon 自然搜索排名数据,字段结构与 competitor_metrics.amazon_serp 相同。

full_metrics.amazon_paid

表示竞争对手排名对应的 Amazon 付费搜索排名数据,字段结构与 competitor_metrics.amazon_paid 相同。

请求示例

curl

bash
curl --location --request POST \
  "https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_competitors/live" \
  --header "Authorization: Bearer smt_live_YOUR_KEY" \
  --header "Content-Type: application/json" \
  --data-raw '[
    {
      "asin": "019005476X",
      "language_name": "English",
      "location_code": 2840,
      "limit": 5
    }
  ]'

Python

python
import requests

url = "https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_competitors/live"

headers = {
    "Authorization": "Bearer smt_live_YOUR_KEY",
    "Content-Type": "application/json",
}

post_data = [
    {
        "asin": "019005476X",
        "location_name": "United States",
        "language_name": "English",
        "limit": 5,
    }
]

response = requests.post(url, headers=headers, json=post_data)
result = response.json()

if result.get("status_code") == 20000:
    print(result)
else:
    print(
        "请求失败。状态码:%s,信息:%s"
        % (result.get("status_code"), result.get("status_message"))
    )

TypeScript

typescript
import axios from "axios";

const postData = [
  {
    asin: "019005476X",
    language_name: "English",
    location_code: 2840,
    limit: 5,
  },
];

axios
  .post(
    "https://api.seermartech.cn/v3/dataforseo_labs/amazon/product_competitors/live",
    postData,
    {
      headers: {
        Authorization: "Bearer smt_live_YOUR_KEY",
        "Content-Type": "application/json",
      },
    }
  )
  .then((response) => {
    // 处理接口返回结果
    console.log(response.data);
  })
  .catch((error) => {
    // 处理请求错误
    console.error(error.response?.data || error.message);
  });

响应示例

json
{
  "version": "0.1.20220216",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.8135 sec.",
  "cost": 0.0105,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01234567-89ab-cdef-0123-456789abcdef",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.8000 sec.",
      "cost": 0.0105,
      "result_count": 1,
      "path": [
        "v3",
        "dataforseo_labs",
        "amazon",
        "product_competitors",
        "live"
      ],
      "data": {
        "api": "dataforseo_labs",
        "function": "product_competitors",
        "se_type": "amazon",
        "asin": "019005476X",
        "language_name": "English",
        "location_code": 2840,
        "limit": 5
      },
      "result": [
        {
          "se_type": "amazon",
          "asin": "019005476X",
          "location_code": 2840,
          "language_code": "en",
          "total_count": 1,
          "items_count": 1,
          "items": [
            {
              "se_type": "amazon",
              "asin": "B000000000",
              "avg_position": 8.5,
              "sum_position": 17,
              "intersections": 12,
              "competitor_metrics": {
                "amazon_serp": {
                  "pos_1": 1,
                  "pos_2_3": 2,
                  "pos_4_10": 5,
                  "pos_11_100": 4,
                  "count": 12,
                  "search_volume": 18500
                },
                "amazon_paid": {
                  "pos_1": 0,
                  "pos_2_3": 1,
                  "pos_4_10": 2,
                  "pos_11_100": 1,
                  "count": 4,
                  "search_volume": 6200
                }
              },
              "full_metrics": {
                "amazon_serp": {
                  "pos_1": 3,
                  "pos_2_3": 8,
                  "pos_4_10": 21,
                  "pos_11_100": 35,
                  "count": 67,
                  "search_volume": 92600
                },
                "amazon_paid": {
                  "pos_1": 1,
                  "pos_2_3": 4,
                  "pos_4_10": 9,
                  "pos_11_100": 6,
                  "count": 20,
                  "search_volume": 31800
                }
              }
            }
          ]
        }
      ]
    }
  ]
}

状态码与错误处理

响应中的 status_code 和任务级 status_code 用于判断请求及任务是否成功。建议在系统中同时处理以下:

  • 顶层请求失败;
  • 单个任务执行失败;
  • tasks_error 大于 0
  • result 为空或 location_codelanguage_codenull
  • 请求时、频率限制或参数校验失败。

实用场景

  • 识别最多的竞品,快速定位与目标商品争夺相同搜索需求的 Amazon 商品。
  • 比较自然排名与付费排名表现,评估竞争对手的 SEO 优化和广告投放策略。
  • 筛选高搜索量竞品,优分析更大流量获取潜力的商品市场。
  • 监测竞品排名区间分布,判断竞争商品在第 1 位、前 3 位或前 10 位的覆盖能力。
  • 构建商品竞争分析报表,结合 intersectionsavg_position 和搜索量指标支持选品与 Listing 优化决策。

统一入口:官网 · LLM API · 控制台